Name: memprof
Version: 0.5.1
Release: alt2

Summary: Tool for memory profiling and leak detection
License: GPL
Group: Development/Other

Exclusivearch: %ix86 ppc

Url: http://www.gnome.org/projects/memprof/

Source: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm

Patch1: %name-forcestatic.patch
Patch2: %name-debuginfo.patch

# Automatically added by buildreq on Mon Aug 11 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel
BuildRequires: fontconfig freetype2 glib2-devel glibc-devel-static
BuildRequires: gnome-vfs2-devel libGConf2-devel libIDL-devel libORBit2
BuildRequires: libart_lgpl-devel libatk-devel libaudiofile-devel
BuildRequires: libbfd-devel-static libbonobo2-devel libbonoboui-devel
BuildRequires: libexpat libglade2-devel libgnome-devel libgnomecanvas-devel
BuildRequires: libgnomeui-devel libgtk+2-devel libiberty-devel libjpeg-devel
BuildRequires: libpango-devel libpopt-devel libssl-devel libxml2-devel
BuildRequires: pkgconfig zlib-devel automake_1.6 autoconf_2.5 libalsa-devel

%description
Memprof is a tool for profiling memory usage and
detecting memory leaks. It can be used with existing
binaries without need for recompilation.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

aclocal-1.6
autoheader-2.5
autoconf-2.5
automake-1.6

%build
%configure
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
install -D -pm644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -D -pm644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -D -pm644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%find_lang %name

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="memprof.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %_sysconfdir/gconf/schemas/$S > /dev/null
done
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README AUTHORS NEWS
%_bindir/*
%_libdir/*.so
%_datadir/pixmaps/memprof.png
%_datadir/applications/memprof.desktop
%_datadir/memprof
%_sysconfdir/gconf/schemas/*.schemas
%_menudir/%name
%_miconsdir/%name.xpm*
%_iconsdir/%name.xpm*
%_liconsdir/%name.xpm*

%changelog
* Fri Sep 12 2003 Alexei Takaseev <taf@altlinux.ru> 0.5.1-alt2
- update buildreq

* Mon Aug 11 2003 Alexei Takaseev <taf@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.0-alt2
- rebuild with gtk 2.1

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.0-alt1
- 0.5.0
- Added URL
- update buildreq

* Mon Jul 23 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.4.1-alt1
- new version

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 0.4.0-ipl2mdk
- RE adaptions.
- Added menu and icons.

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0 (from helix)
- BM

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.0-7mdk
- Macrozification.
- Recompile again last binutils.

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.3.0-6mdk
- new groups
- added documentation

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.3.0-5mdk
- Added PPC support

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.0-4mdk
- Use a %configure.

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Wed Oct 27 1999 Owen Taylor <otaylor@redhat.com>
- Initial package

